<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="14113" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14088"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="TGIngredientsViewController">
            <connections>
                <outlet property="ingredientsTableView" destination="4ak-BA-k5c" id="9mj-sQ-GMT"/>
                <outlet property="searchBar" destination="hYN-Q3-e0o" id="yAe-nZ-xKd"/>
                <outlet property="view" destination="syt-tf-4mG" id="riP-AW-Cb8"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="syt-tf-4mG">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Fqm-hG-DZv">
                    <rect key="frame" x="0.0" y="20" width="375" height="647"/>
                    <subviews>
                        <searchBar alpha="0.80000001192092896" contentMode="scaleToFill" placeholder="search for ingedients" translatesAutoresizingMaskIntoConstraints="NO" id="hYN-Q3-e0o">
                            <rect key="frame" x="0.0" y="0.0" width="375" height="56"/>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="56" id="KYA-L9-ikJ"/>
                            </constraints>
                            <color key="tintColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <color key="barTintColor" red="0.82745098039999998" green="0.94901960780000005" blue="0.94117647059999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <textInputTraits key="textInputTraits"/>
                            <scopeButtonTitles>
                                <string>Title</string>
                                <string>Title</string>
                            </scopeButtonTitles>
                            <connections>
                                <outlet property="delegate" destination="-1" id="Ycm-hq-nIi"/>
                            </connections>
                        </searchBar>
                        <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="none" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" translatesAutoresizingMaskIntoConstraints="NO" id="4ak-BA-k5c">
                            <rect key="frame" x="0.0" y="55" width="375" height="592"/>
                            <color key="backgroundColor" red="0.82745098039999998" green="0.94901960780000005" blue="0.94117647059999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <connections>
                                <outlet property="dataSource" destination="-1" id="axp-A2-d7x"/>
                                <outlet property="delegate" destination="-1" id="QPQ-r0-EM2"/>
                            </connections>
                        </tableView>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="GD0-Z7-97O">
                            <rect key="frame" x="0.0" y="0.0" width="375" height="2"/>
                            <color key="backgroundColor" red="0.82745098039999998" green="0.94901960780000005" blue="0.94117647059999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="2" id="TsY-Bl-iB3"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" red="0.82745098039999998" green="0.94901960780000005" blue="0.94117647059999998" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <constraints>
                        <constraint firstAttribute="bottom" secondItem="4ak-BA-k5c" secondAttribute="bottom" id="3CD-FW-GdK"/>
                        <constraint firstAttribute="trailing" secondItem="GD0-Z7-97O" secondAttribute="trailing" id="4Q1-gN-SH5"/>
                        <constraint firstAttribute="trailing" secondItem="4ak-BA-k5c" secondAttribute="trailing" id="BDP-Zu-nH6"/>
                        <constraint firstItem="hYN-Q3-e0o" firstAttribute="top" secondItem="Fqm-hG-DZv" secondAttribute="top" id="Dhn-WB-jXA"/>
                        <constraint firstItem="4ak-BA-k5c" firstAttribute="top" secondItem="hYN-Q3-e0o" secondAttribute="bottom" constant="-1" id="I5a-tP-Nk2"/>
                        <constraint firstItem="GD0-Z7-97O" firstAttribute="top" secondItem="Fqm-hG-DZv" secondAttribute="top" id="Lys-yF-Gnc"/>
                        <constraint firstItem="hYN-Q3-e0o" firstAttribute="leading" secondItem="Fqm-hG-DZv" secondAttribute="leading" id="Sra-qv-AtH"/>
                        <constraint firstItem="4ak-BA-k5c" firstAttribute="leading" secondItem="Fqm-hG-DZv" secondAttribute="leading" id="UiT-eC-zsO"/>
                        <constraint firstItem="GD0-Z7-97O" firstAttribute="leading" secondItem="Fqm-hG-DZv" secondAttribute="leading" id="bdO-AE-qtd"/>
                        <constraint firstAttribute="trailing" secondItem="hYN-Q3-e0o" secondAttribute="trailing" id="yDi-1V-B6V"/>
                    </constraints>
                </view>
            </subviews>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <constraints>
                <constraint firstItem="Fqm-hG-DZv" firstAttribute="leading" secondItem="Cd5-xA-sD2" secondAttribute="leading" id="7tW-69-Fd1"/>
                <constraint firstItem="Fqm-hG-DZv" firstAttribute="top" secondItem="Cd5-xA-sD2" secondAttribute="top" id="Scp-Xf-nr4"/>
                <constraint firstItem="Fqm-hG-DZv" firstAttribute="trailing" secondItem="Cd5-xA-sD2" secondAttribute="trailing" id="YOq-Da-B3N"/>
                <constraint firstItem="Fqm-hG-DZv" firstAttribute="bottom" secondItem="Cd5-xA-sD2" secondAttribute="bottom" id="zwp-hR-4QI"/>
            </constraints>
            <viewLayoutGuide key="safeArea" id="Cd5-xA-sD2"/>
            <point key="canvasLocation" x="24.5" y="51.5"/>
        </view>
    </objects>
</document>
